## kdebase-3.0.1.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdebase
# Version required:    1.1
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net
#
# $Id: Makefile,v 1.8 1999/03/01 23:22:43 kulow Exp $
#
PKGNAME=	kdebase-`date "+%y%m%d"`
CATEGORIES=	x11 kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT=	${.CURDIR}/${PKGNAME}
USE_QT=		yes
LIB_DEPENDS=    gif.3:${PORTSDIR}/graphics/giflib \
                jpeg.9:${PORTSDIR}/graphics/jpeg \
                kdecore.2:${PORTSDIR}/x11/kdelibs11 \
                Xpm.4:${PORTSDIR}/graphics/xpm
 

LIB_DEPENDS=	gif.3]:${PORTSDIR}/graphics/giflib \
		jpeg.9:${PORTSDIR}/graphics/jpeg \
		kdecore.2:${PORTSDIR}/x11/kdelibs11 \
		kdeui.2:${PORTSDIR}/x11/kdelibs11 \
		jscript.2:${PORTSDIR}/x11/kdelibs11 \
		khtmlw.2:${PORTSDIR}/x11/kdelibs11 \
		kfm.2:${PORTSDIR}/x11/kdelibs11 \
		mediatool.2:${PORTSDIR}/x11/kdelibs11
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKSUBDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
EXTRACT_ONLY=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-install-root=$(INSTALL_ROOT)" \
		"--with-extra-includes=$(PREFIX)/include/giflib"
INSTALL_TARGET=	RUN_KAPPFINDER=no install

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== konsole/tests/Makefile ===
CFLAGS	= -O
OBJS	= main.o esc.o

all: vttest quote

vttest:	$(OBJS)
	cc $(CFLAGS) -o vttest $(OBJS)

install: vttest
	cp vttest.1 /usr/man/man1/vttest.1
	cp vttest /usr/local/bin/vttest
	strip /usr/local/bin/vttest

clean:
	rm -f $(OBJS) vttest foo core lint tags a.out

=== debian/changelog ===
kdebase (4:3.0.1-0) unstable; urgency=low

  * New upstream.
  * Redo debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 16 Apr 2002 22:00:00 -0500

kdebase (4:2.2.2-14) unstable; urgency=high

  * New maintainer.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  3 Mar 2002 01:30:00 -0600

kdebase (4:2.2.2-13) unstable; urgency=low

  * Adopting orphaned package. Thanks Ivan for all your great work on KDE over
    the years; you'll be sorely missed. (closes: #127706)
  * Relink with libpng2. (closes: #128275)
  * debian/rules, debian/konsole.dirs:
    - Make symlinks in the X fonts directory to Konsole fonts in
      /usr/share/fonts in the install target. (closes: #127871)
  * debian/kdmrc:
    - Disallow remote users from shutting down the machine. (Yeah, yeah, I
      know - dodgy grammar). (closes: #127616)
  * debian/control:
    - Depend on kdebase | x-s-m | x-w-m, instead of just the latter two, so
      that KDE gets installed in preference to, say, GNOME. (closes: #128208)
    - Shuffle Build-Deps back to libpng2.
  * kpersonalizer/keyecandypage.cpp:
    - Stop anti-aliasing from being selected by default when the level of cool
      stuff selected is high enough.

 -- Daniel Stone <daniel@sfarc.net>  Fri,  4 Jan 2002 09:14:11 -0500

kdebase (4:2.2.2-12) unstable; urgency=low

  * Yet another overwrite. (Closes: #126699)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 28 Dec 2001 00:15:00 -0700

kdebase (4:2.2.2-11) unstable; urgency=low

  * Crap.  fix -audiolibs again.
  * Fix spelling error (Closes: #124779)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 17 Dec 2001 22:00:00 -0700

kdebase (4:2.2.2-10) unstable; urgency=low

  * Move the audio kcm modules over to kdebase-libs since they a) don't depend
    on audio libs and b) are required for sound to automatically start.  
    (Closes: #124144)
  * More upstream konsole fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Dec 2001 00:30:00 -0700

kdebase (4:2.2.2-9) unstable; urgency=low

  * Fix klipperrc (Closes: #123904)
  * Add lynx/opera/etc to klipperrc
  * Add libfam-dev to Build-Depends as well as other packages which we
    depend on but have relied on other depended upon packages to provide.
  * libkonq_sound.* needs to be in kdebase-audiolibs.  We don't need
    to require libarts to be installed in order to use konq.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 15 Dec 2001 00:02:00 -0700

kdebase (4:2.2.2-8) unstable; urgency=low

  * Sync with upstream
  * Fix Xsetup (Closes: #123115)
  * Fix file location (Closes: #122621)
  * Move keditbookmarks stuff into kdebase-libs
  * Let's attempt to import mozilla bookmarks along with netscape automatically

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 09 Dec 2001 14:07:00 -0700

kdebase (4:2.2.2-7) unstable; urgency=low

  * Sync with upstream
  * Add missing dependency for kdebase-libs to kdebase
  * Move Sound .desktop files to kdebase-audiolibs
  * Fix file location...

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 05 Dec 2001 16:59:00 -0700

kdebase (4:2.2.2-6) unstable; urgency=low

  * Move libkcm_launch.so to where it belongs (Closes: #122136)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 02 Dec 2001 15:49:00 -0700

kdebase (4:2.2.2-5) unstable; urgency=low

  * Crap.  Fix build-depends since we now need the latest kdelibs package
    I uploaded first.  (Closes: #122066)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 01 Dec 2001 22:29:00 -0700

kdebase (4:2.2.2-4) unstable; urgency=low

  * Sync with upstream
  * Build-Depends cleanup
  * Depends/Suggests/etc... cleanup for freeze
  * Build cleanup
  * Build with xinerama support for i386
  * Another update for Nedit.ad to work with newer Nedit
  * Cleanup kdmrc for release..default to security
  * Update documentation for freeze

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Nov 2001 02:30:00 -0700

kdebase (4:2.2.2-3) unstable; urgency=low

  * Update Brazilian Portuguese debconf entries (Closes: #120841)
  * Remove kdmrc debconf note
  * Add in replaces to fix those people using testing who don't know
    how to use --force-overwrite or don't know how to let dpkg fix 
    things on the second go around.  What a waste of disk space.
    You know...people who don't know how to use dpkg or know how
    releases are done shouldn't be allowed to manipulate severities
    on bug reports.  (Closes: #121163, #121165)
  * Fix konsole (Closes: #120840, #120984, #121159)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Nov 2001 14:47:00 -0700

kdebase (4:2.2.2-2) unstable; urgency=low

  * Update deps to allow for temp -crypto packages

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 22 Nov 2001 22:54:00 -0700

kdebase (4:2.2.2-1) unstable; urgency=low

  * new upstream version
  * Add in suggests for libpam-krb/heimdel to kdm so we can get rid of the
    kdm-krb package
  * Update Nedit.ad (Closes: #117881)
  * Apply kdm cleanup patch by Branden (Closes: #118217)
  * Fix mime checks (Closes: #117747)
  * Fix kate syntax highlights (Closes: #113773)
  * Add kate undocumented manpage
  * Run lilo query for kdm with -w
  * Fix konsole crashes (Closes: #119480)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Nov 2001 16:18:00 -0700

kdebase (4:2.2.1.0-7) unstable; urgency=low

  * Update build-deps for lesstif-dev since certain recent versions do
    not contain files we need to build
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Oct 2001 11:37:00 -0700

kdebase (4:2.2.1.0-6) unstable; urgency=low

  * Sync with upstream
  * Should fix Home/End keys (Closes: #117149, #100878, #107071, #114312)
  * Fixes default.Schema (Closes: #107450)
  * Transparant forgetfullness should also be fixed (Closes: #110773)
  * Fix rearrange issues (Closes: #112113)
  * Pause option fixed (Closes: #95928)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 26 Oct 2001 11:20:00 -0700

kdebase (4:2.2.1.0-5) unstable; urgency=low

  * Sync with upstream


=== debian/control ===
Source: kdebase
Section: x11
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: debhelper (>> 4.0.0), automake1.5, gawk, gettext, kdelibs4-dev, libarts1-dev, libasound2-dev, libbz2-dev, libcdparanoia0-dev, libcupsys2-dev, libdb3-dev, libfam-dev, libldap2-dev, libncurses5-dev, libogg-dev, libpam0g-dev, libqt3-mt-dev, libsasl-dev, libsensors-dev, libsmbclient-dev, libssl-dev, libtiff3g-dev, libvorbis-dev, lesstif-dev, texinfo, xlibs-dev, xutils, zlib1g-dev
Standards-Version: 3.5.6.0

Package: kdebase
Section: utils
Architecture: all
Depends: kaddressbook (= ${Source-Version}), kappfinder (= ${Source-Version}), kate (= ${Source-Version}), kcontrol (= ${Source-Version}), kdcop (= ${Source-Version}), kdebase4-bin (= ${Source-Version}), kdebase4-data (= ${Source-Version}), kdebugdialog (= ${Source-Version}), kdeprint (= ${Source-Version}), kdesktop (= ${Source-Version}), kfind (= ${Source-Version}), khelpcenter (= ${Source-Version}), khotkeys (= ${Source-Version}), kicker (= ${Source-Version}), kioslave (= ${Source-Version}), klipper (= ${Source-Version}), kmenuedit (= ${Source-Version}), konqueror-nsplugins (= ${Source-Version}), konqueror (= ${Source-Version}), konsole (= ${Source-Version}), kpager (= ${Source-Version}), kpersonalizer (= ${Source-Version}), kscreensaver (= ${Source-Version}), ksmserver (= ${Source-Version}), ksplash (= ${Source-Version}), ksysguard (= ${Source-Version}), ktip (= ${Source-Version}), kwin (= ${Source-Version}), kxkb (= ${Source-Version}), libkonq4 (= ${Source-Version})
Recommends: kdm (= ${Source-Version})
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: kdebase4-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Base (binaries)
 KDE Base (binaries)

Package: kdebase4-data
Section: utils
Architecture: all
Depends: ${shlibs:Depends}
Description: KDE Base (shared data)
 KDE Base (shared data).

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Address Book
 KDE Address Book

Package: kappfinder
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Application Finder
 KDE Application Finder

Package: kate
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: aspell | ispell
Description: KDE Advanced Text Editor
 KDE Advanced Text Editor

Package: kate-dev
Section: devel
Architecture: any
Depends: kate (= ${Source-Version})
Description: KDE Advanced Text Editor (development files)
 KDE Advanced Text Editor (development files)

Package: kcontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Control Center
 KDE Control Center

Package: kdcop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE DCOP Browser
 KDE DCOP Browser

Package: kdebugdialog
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Debug Settings
 KDE Debug Settings

Package: kdeprint
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Print
 KDE Print and Fax utility.

Package: kdesktop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Desktop
 KDE Desktop

Package: kdesktop-dev
Section: devel
Architecture: any
Depends: kdesktop (= ${Source-Version})
Description: KDE Desktop (development files)
 KDE Desktop (development files)

Package: kdm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: menu
Description: KDE Display Manager
 KDE Display Manager
 .
 kdm manages a collection of X servers, which may be on the local host or
 remote machines.  It provides services similar to those provided by init,
 getty, and login on character-based terminals: prompting for login name and
 password, authenticating the user, and running a session.  kdm supports XDMCP
 (X Display Manager Control Protocol) and can also be used to run a chooser
 process which presents the user with a menu of possible hosts that offer
 XDMCP display management.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE File Find Utility
 KDE File Find Utility

Package: khelpcenter
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Help Center
 KDE Help Center

Package: khotkeys
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE HotKeys
 Configure shortcut keys for applications

Package: kicker
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: menu
Description: KDE Desktop Panel
 KDE Desktop Panel

Package: kioslave
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE I/O Slaves
 KDE I/O Slaves

Package: klipper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Clipboard
 KDE Clipboard

Package: kmenuedit
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Menu Editor
 KDE Menu Editor

Package: konqueror-nsplugins
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Netscape plugin support for Konqueror
 Netscape plugin support for Konqueror

Package: konqueror
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE's advanced File Manager, Web Browser and Document Viewer
 KDE's advanced File Manager, Web Browser and Document Viewer

Package: konqueror-dev
Section: devel
Architecture: any
Depends: konqueror (= ${Source-Version})
Description: KDE's advanced File Manager (development files)
 KDE's advanced File Manager (development files)

Package: konsole
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Provides: x-terminal-emulator
Description: KDE X terminal emulator
 Konsole is an X terminal emulation which provides a command-line interface
 (CLI) while using the graphical K Desktop Environment. Konsole helps to
 better organize user's desktop by containing multiple sessions in a single
 window (a less cluttered desktop).
 .
 It's advanced features include a simple configuration and the ability to use
 multiple terminal shells in a single window
 .
 Using Konsole, a user can open:
 .
  Linux console sessions
  Midnight Commander file manager sessions
  Shell sessions
  Root consoles sessions

Package: kpager
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Desktop Pager
 KDE Desktop Pager

Package: kpersonalizer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Personalizer
 KDE Personalizer is a wizard to configure the KDE gui

Package: kscreensaver
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Screensavers
 Basic KDE Screensavers

Package: ksmserver
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Session Manager
 KDE Session Manager

Package: ksplash
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE Splash Screen
 KDE Splash Screen

Package: ksysguard
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE System Guard
 KDE System Guard

Package: ksysguard-dev
Section: devel
Architecture: any
Depends: ksysguard (= ${Source-Version})
Description: KDE System Guard (development files)
 KDE System Guard (development files)

Package: ktip
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Kandalf's Useful Tips
 Kandalf's Useful Tips

Package: kwin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: kdebase4-bin (= ${Source-Version}), kdebase4-data (= ${Source-Version}), kdesktop (= ${Source-Version}), kicker (= ${Source-Version}), kpager (= ${Source-Version}), kpersonalizer (= ${Source-Version}), ksmserver (= ${Source-Version}), ksplash (= ${Source-Version})
Description: KDE Window Manager
 KDE Window Manager

Package: kxkb
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: KDE X Keyboard
 KDE X Keyboard

Package: libkonq4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Core libraries for KDE's file manager
 This library is used by several KDE 3 apps include konqueror and kdesktop.

Package: libkonq4-dev
Section: devel
Architecture: any
Depends: libkonq4 (= ${Source-Version})
Description: Core libraries for KDE's file manager (development files)
 This library is used by several KDE 3 apps include konqueror and kdesktop.
 .
 This package contains development files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_BUILD_GNU_TYPE),alpha-linux)
  export CFLAGS +=-O0 -mieee
  export CXXFLAGS +=-O0 -mieee
endif

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  # Uncomment the following 2 lines to enable i686 optimziation
  # You may want to tweak the settings to your likings
  #export CFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  #export CXXFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  XINERAMA=--with-xinerama
endif

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Apply Debian specific patches
	if test ! -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo APPLYING PATCH\: ${patch##*/};\
			patch -p1 < $$patch ;\
		done ;\
		touch patch-stamp ;\
	fi

	# KDE CVS does not have aclocal.m4 or configure
	if test ! -f configure; then \
		$(MAKE) -f admin/Makefile.common ;\
	fi

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure $(configkde) --with-pam=kde --with-shadow \
	--with-cdparanoia --with-vorbis $(XINERAMA)

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	touch build-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/debiandirs

	# Remove Debian specific patches
	if test -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo REMOVING PATCH\: ${patch##*/};\
			patch -p1 -R < $$patch ;\
		done ;\
		rm -f patch-stamp ;\
	fi

	# Remove build tree
	rm -rf $(objdir)

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	#if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
	dh_installpam
	dh_installmime
	dh_installinit -r -- defaults 99 01
#	dh_installcron
#	dh_installinfo
	dh_undocumented
	dh_installman
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms -Xusr/bin/kcheckpass -Xusr/bin/kdesud -Xusr/bin/konsole_grantpty
	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/kate/usr/lib:debian/kicker/usr/lib:debian/konqueror/usr/lib:debian/ksysguard/usr/lib:debian/libkonq4/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
